package io.zipcoder.interfaces;

public class Instructor extends Person implements Teacher {

    private String name;

    public Instructor(long id, String name) {
        super(id);
        this.name = name;
    }

    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);

    }

    public void lecture(Learner[] learners, double numberOfHours) {
        double numberOfHoursPerLearner = numberOfHours / learners.length;
        for (Learner each : learners){
            each.learn(numberOfHoursPerLearner);
        }


    }


}
