package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;

import static org.junit.Assert.*;

public class PeopleTest {

    private Student s;
    private Student s1;
    private People students;

    @Before
    public void PeopleTest() {
        students = new People();
        s = new Student(1, "Brandon");
        s1 = new Student(2, "Gim");
        students.personList.add(s);
        students.personList.add(s1);
    }

    @Test
    public void addTest() {
        ArrayList<Person> personList = new ArrayList<Person>();
        Person person = new Person(1);
        personList.add(person);

        int expected = 1;

        int actual = personList.size();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void findByIdTest() {

        Person expected = s;
        Person actual = students.findById(1);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void removePersonTest() {
        ArrayList<Person> personList = new ArrayList<Person>();
        Person person = new Person(1);
        personList.add(person);
        int expected = 0;
        personList.remove(person);
        int actual = personList.size();

        Assert.assertEquals(expected, actual);
    }


    @Test
    public void removeAllTest() {
        ArrayList<Person> personList = new ArrayList<Person>();
        Person person = new Person(1);
        Person person1 = new Person(2);
        personList.add(person);
        personList.add(person1);
        personList.removeAll(personList);

        int expected = 0;

        int actual = personList.size();

        Assert.assertEquals(expected, actual);

    }

}