package io.zipcoder.interfaces;
import org.junit.Test;
import org.junit.Assert;

public class TestPerson {


    @Test
    public void testConstructor() {

        long expected = 2L;

        Person person = new Person(expected);

        long actual = person.getId();

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void testSetName() {

        String expected = "Bob";

        Person person = new Person(50);
        person.setName("Bob");

        String actual = person.getName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetName() {
        String expected = "Bob";

        Person person = new Person(40);
        person.setName("Bob");

        String actual = person.getName();

        Assert.assertEquals(expected, actual);
    }
}
