package io.zipcoder.interfaces;

import java.util.*;

public class People {
    public ArrayList<Person> personList = new ArrayList<Person>();

    public void add(Person person){
         personList.add(person);
    }

    public Person findById(long id) {
        for(Person person : personList)
            if(person.getId() == id) {
                return person;
            }
            return null;
    }

    public void removePerson(Person person){
        personList.remove(person);
    }

    public void removeId(long id){
        removePerson(findById(id));
    }

    public int getCount(){
        return personList.size();
    }

    public Object[] getArray() {
        return personList.toArray();
    }

    public void removeAll(){
        personList.clear();
    }
}
