package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class InstructorTest {


    @Test
    public void testImplementation() {
        Instructor I = new Instructor(50,"Wilhelm");

        Assert.assertTrue(I instanceof Teacher);
    }

    @Test
    public void testInheritance() {
        Instructor I = new Instructor(49,"kris");

        Assert.assertTrue(I instanceof Person);
    }

    @Test
    public void teach() {
        Instructor I = new Instructor(48,"Leon");
        Student S = new Student(1, "Jen");
        I.teach(S, 5.0);

        Assert.assertEquals(5.0, S.getTotalStudyTime(), .01);
    }

    @Test
    public void lecture() {
        Instructor I = new Instructor(25, "Dolio");
        Student S = new Student(3, "Brandon");
        Student S1 = new Student(4, "Pam");
        Learner[] learners = new Learner[] {S, S1};
        I.lecture(learners, 12.0);

        Assert.assertEquals(6, S.getTotalStudyTime(), .01);
    }
}